libetonyek::IWAParser::TableInfo Struct Reference documentation

libetonyek::IWAParser::TableInfo Struct Reference

## Public Member Functions
| TableInfo (const std::shared_ptr< IWORKTable > &table, unsigned columns, unsigned rows)

## Public Attributes
std::shared_ptr< IWORKTable > | m_table
const unsigned | m_columns
const unsigned | m_rows
IWORKStylePtr_t | m_style
TableHeader | m_columnHeader
TableHeader | m_rowHeader
DataList_t | m_simpleTextList
DataList_t | m_cellStyleList
ConditionRuleList_t | m_conditionStyleList
DataList_t | m_formattedTextList
DataList_t | m_formulaList
DataList_t | m_formatList
DataList_t | m_newFormatList
DataList_t | m_commentList

## Constructor & Destructor Documentation

## ◆ TableInfo()

libetonyek::IWAParser::TableInfo::TableInfo | ( | const std::shared_ptr< IWORKTable > & | table,
|  | unsigned | columns,
|  | unsigned | rows )

## Member Data Documentation

## ◆ m_cellStyleList

DataList_t libetonyek::IWAParser::TableInfo::m_cellStyleList

Referenced by TableInfo().

## ◆ m_columnHeader

TableHeader libetonyek::IWAParser::TableInfo::m_columnHeader

Referenced by TableInfo().

## ◆ m_columns

const unsigned libetonyek::IWAParser::TableInfo::m_columns

Referenced by TableInfo().

## ◆ m_commentList

DataList_t libetonyek::IWAParser::TableInfo::m_commentList

Referenced by TableInfo().

## ◆ m_conditionStyleList

ConditionRuleList_t libetonyek::IWAParser::TableInfo::m_conditionStyleList

Referenced by TableInfo().

## ◆ m_formatList

DataList_t libetonyek::IWAParser::TableInfo::m_formatList

Referenced by TableInfo().

## ◆ m_formattedTextList

DataList_t libetonyek::IWAParser::TableInfo::m_formattedTextList

Referenced by TableInfo().

## ◆ m_formulaList

DataList_t libetonyek::IWAParser::TableInfo::m_formulaList

Referenced by TableInfo().

## ◆ m_newFormatList

DataList_t libetonyek::IWAParser::TableInfo::m_newFormatList

Referenced by TableInfo().

## ◆ m_rowHeader

TableHeader libetonyek::IWAParser::TableInfo::m_rowHeader

Referenced by TableInfo().

## ◆ m_rows

const unsigned libetonyek::IWAParser::TableInfo::m_rows

Referenced by TableInfo().

## ◆ m_simpleTextList

DataList_t libetonyek::IWAParser::TableInfo::m_simpleTextList

Referenced by TableInfo().

## ◆ m_style

IWORKStylePtr_t libetonyek::IWAParser::TableInfo::m_style

Referenced by TableInfo().

## ◆ m_table

std::shared_ptr<IWORKTable> libetonyek::IWAParser::TableInfo::m_table

Referenced by TableInfo().

The documentation for this struct was generated from the following files:

- IWAParser.h
- IWAParser.cpp